@import url('https://fonts.googleapis.com/css2?family=Exo:wght@200&display=swap');


* {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
  font-family: 'exo';
}

body {
  font-size: 62.5%;
  color: black;

}

.masonry {
  background-color: white;
  width: 95vw;
  height: 300vh;
  padding-top: 1rem;
  padding-right: 1rem;
  padding-bottom: 1rem;
  padding-left: 2rem;

  display: grid;
  grid-template-columns: repeat(14, 6fr);
  grid-template-rows: repeat(18, 4fr);

  row-gap: 1rem;
  column-gap: 1rem;
}

img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
  position: absolute;
}

a:link {
  text-decoration: none;
}

a:visited {
  text-decoration: none;
}

.cell {
  position: relative;
}

.cell:hover{
  position: relative;
}

.test:hover .image {
  filter: blur(18px) grayscale(100%);
  -webkit-transition : -webkit-filter 3s linear;
}

.test .image {
  filter: blur(0) grayscale(0%);
  -webkit-transition : -webkit-filter 3s linear;
  transition: 3s;
}

.test2 {
  color: black;
  font-size: 26px;
  z-index: 1;
  width: 100%;
  align-items: center;
  align-content: center;
  display: flex;
  flex-wrap: nowrap;
  flex-direction: column;
  height: 100%;
  justify-content: center;
  transition: 3s;
  opacity: 0;
  position: absolute;
}

.test2:hover {
  opacity: 1;
  position: absolute;
}

.cell--1 {
  grid-column: 1 / 4;
  grid-row: 1 / 4;
}

.cell--2 {
  grid-column: 4 / 8;
  grid-row: 2 / 7;
}

.cell--3 {
  grid-column: 8 / 14;
  grid-row: 1 / 5;
}

.cell--4 {
  grid-column: 2 / 4;
  grid-row: 4 / 8;
}

.cell--5 {
  grid-column: 4 / 8;
  grid-row: 7 / 8;
}

.cell--6 {
  grid-column: 9 / 15;
  grid-row: 5 / 9;
}

.cell--7 {
  grid-column: 1 / 8;
  grid-row: 8 / 12;
}

.cell--8 {
  grid-column: 8 / 11;
  grid-row: 9 / 13;
}

.cell--9 {
  grid-column: 11 / 15;
  grid-row: 10 / 16;
}

.cell--10 {
  grid-column: 2 / 8;
  grid-row: 12 / 15;
}

.cell--11 {
  grid-column: 1 / 4;
  grid-row: 15 / 24;
}

.cell--12 {
  grid-column: 4 / 8;
  grid-row: 16 / 19;
}

.cell--13 {
  grid-column: 8 / 11;
  grid-row: 14 / 26;
}


.cell--14 {
  grid-column: 11 / 14;
  grid-row: 16 / 22;
}

.textofooter {
  font-size: 12px;
  padding-left: 16px;
}

footer {
  width: 100%;
  text-align: center;
  margin-top: 60px;
  font-size: 0.7rem;
}

